# Fetch intermediary accounts

{% hint style="warning" %}
**Pre-release** — The Intents Connect API is currently in development. If you're interested in early access, get in touch with the team.
{% endhint %}

## GET /api/v1/executions/{wallet}/intermediary

> Derive intermediary EVM address

```json
{"openapi":"3.0.3","info":{"title":"Intents Connect API","version":"1.0"},"servers":[{"url":"https://intents-connect-alpha-api.aurora.dev"}],"paths":{"/api/v1/executions/{wallet}/intermediary":{"get":{"parameters":[{"description":"Origin wallet identifier. Supports EVM addresses, NEAR accounts, NEAR implicit accounts, and Solana base58 public keys.","in":"path","name":"wallet","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.intermediaryResponse"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Bad Request"},"502":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Bad Gateway"}},"summary":"Derive intermediary EVM address","tags":["Executions"]}}},"components":{"schemas":{"controllers.intermediaryResponse":{"properties":{"result":{"$ref":"#/components/schemas/controllers.intermediaryResult"}},"type":"object"},"controllers.intermediaryResult":{"properties":{"evm":{"type":"string"},"originAccount":{"type":"string"},"originType":{"enum":["evm","near","solana"],"type":"string"}},"type":"object"},"controllers.errorResponse":{"properties":{"error":{"type":"string"}},"type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intents.aurora.dev/intents-connect/intents-connect-api-reference/fetch-intermediary-accounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
